/**
 * 字典值查询接口
 */
import request from '@/utils/request'
// 性别
export function getSexType(params) {
  return request({
    url: '/dict/code/sysSex',
    method: 'get',
    params
  })
}

export function getCarProperty(params) {
  return request({
    url: '/dict/code/carProperty',
    method: 'get',
    params
  })
}

// 人员类别
export function getPersonType(params) {
  return request({
    url: '/dict/code/personType',
    method: 'get',
    params
  })
}

// 车辆类别
export function getCarType(params) {
  return request({
    url: '/dict/code/carType',
    method: 'get',
    params
  })
}

// 设备类型
export function getDeviceType(params) {
  return request({
    url: '/dict/code/deviceType',
    method: 'get',
    params
  })
}

// 区域防卫状态
export function getAreaStatus() {
  return request({
    url: '/dict/code/areaStatus',
    method: 'get'
  })
}

// 区域类别
export function getAreaType() {
  return request({
    url: '/dict/code/areaType',
    method: 'get'
  })
}

// 进出园区
export function getInOutType() {
  return request({
    url: '/dict/code/inOut',
    method: 'get'
  })
}

// 报警内容
export function getAlarmContent() {
  return request({
    url: '/dict/code/alarmContent',
    method: 'get'
  })
}
